<?php
class Animal
    {
        // Declaración de los atributos 
		private $color = "gris";
		private $peso = 10;
		
		public function __construct ($color, $peso) // Constructor pide 2 argumentos.
		{
            echo'Llamada del constructor.<br />'; 
            $this->color = $color; // Inicialización del color.
            $this->peso = $peso; // Inicialización del peso.
		}
		
		public function __destruct()
		{
			echo'Llamada del destructor.<br />';
		}

    
		//accesorios
		public function getColor()
		{
            return $this->color; //devuelve el color 
		}
		public function setColor($color)
		{
			$this->color = $color; //escribe en el atributo color
		}
		
		public function getPeso()
		{
            return $this->peso; //devuelve el peso 
		}
		public function setPeso($peso)
		{
			$this->peso = $peso; //escribe en el atributo peso
		}


	
		//métodos
		public function comer_animal(Animal $animal_comido)
		{
			$this->peso = $this->peso + $animal_comido->peso;
			//el peso del animal comido y su color se ponen a 0
			$animal_comido->peso = 0;
			$animal_comido->color = "";
		}

		public function se_mueve()
		{
			//método que accede a las propiedades
			//color y peso           
		}
		
		public function añadir_un_kilo()
		{
			$this->peso = $this->peso + 1;
		}
			

}
?>
